//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SSCMvc.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    public partial class Tb_FeeAdjustment
    {

        [Display(Name = "Adjustment No")]
        public int Id { get; set; }


        public Nullable<int> BranchId { get; set; }

        [Display(Name = "Student")]
        [Required(ErrorMessage = "*")]
        public Nullable<int> StudentId { get; set; }

        [Display(Name = "Course")]
        [Required(ErrorMessage = "*")]
        public Nullable<int> CourseId { get; set; }

        [Display(Name = "Package")]
        [Required(ErrorMessage = "*")]
        public Nullable<int> PackageId { get; set; }

        [Display(Name = "Date")]

        public Nullable<System.DateTime> Edate { get; set; }

        [Display(Name = "Amount")]
        [Required(ErrorMessage = "*")]
        public Nullable<double> AdjustAmount { get; set; }

        [Display(Name = "Adjustment Type")]
        [Required(ErrorMessage = "*")]
        public string AdjustType { get; set; }


        [Display(Name = "Remarks")]
        [StringLength(250)]
        [DataType(DataType.MultilineText)]
        public string Remarks { get; set; }

        [Display(Name = "Adjustment No")]
        public Nullable<int> AdjustmentNo { get; set; }

        public virtual MaAdmission MaAdmission { get; set; }
        public virtual MaBranch MaBranch { get; set; }
        public virtual MaCourse MaCourse { get; set; }
        public virtual MaPackage MaPackage { get; set; }
    }
}
